{% extends "base.html" %}

{% block title %}Change Password{% endblock %}

{% block content %}
    {% if user.is_authenticated %}
        <div class="container">
            <div class="row">
                <div class="col-6 offset-3">
                    <h1 class="text-center mt-3">Change Password</h1>

                    <form action="{% url 'todolist:change_password'%}" method="POST">
                        {% csrf_token %}

                        <div class="mb-3">
                            <label for="firstname">First Name:</label>
                            <input class="form-control" type="text" name="firstname" value="{{ user.first_name }}" maxlength="50" required>
                        </div>

                        <div class="mb-3">
                            <label for="lastname">Last Name:</label>
                            <input class="form-control" type="text" name="lastname" value="{{ user.last_name }}" maxlength="50" required>
                        </div>


                        <div class="mb-3">
                            <label for="password">New Password:</label>
                            <input class="form-control" type="password" name="password" required>
                        </div>

                     
                        <div class="text-center">
                            <input class="btn btn-success" type="submit" value="Change Password">
                        </div>

                    </form>
                </div>

            </div>
        </div>
    {% else %}
        <p>Please log in to change your password.</p>
    {% endif %}
{% endblock %}
